// Fenetre de Hanning de longueur N
N = 32
w = window('hn',N);
W = fft(w); // W = TFD de w, sur les frequences de [0;1[
W = fftshift(W); // sur les frequences [-0.5;0.5[

f = -0.5:1/N:0.5-1/N; // vecteur de N frequences discretes de -1/2 a 1/2

// affichage 1 point par echantillon
scf(0); // selectionne (ou cree) la fenetre 0 et l'efface
subplot(211);plot(0:N-1,w,'.') 
xtitle("Representation temporelle","n (temps discret)")
subplot(212);plot(f,20*log10(abs(W)/N+%eps),'.') 
// %eps est une valeur tres faible dont l'ajout evite de calculer un log de 0)
xtitle("Representation frequentielle","k (freq discrete")
a=gca(); set(a,"data_bounds",[-0.5,-100;0.5,0])

// affichage avec ligne continue relie les echantillons
scf(1); // selectionne (ou cree) la fenetre 1 et l'efface
subplot(211);plot(0:N-1,w) 
xtitle("Representation temporelle","n (temps discret)")
subplot(212);plot(f,20*log10(abs(W)/N+%eps)) 
xtitle("Representation frequentielle","k (freq discrete")
a=gca(); set(a,"data_bounds",[-0.5,-100;0.5,0])


